Subject: Re: bug#35300: 27.0.50; emacsclient on remote sessions no longer works

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Apr 2019 17:08:07 +0300

> From: Óscar Fuentes <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 19 Apr 2019 15:31:10 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> FWIW, the least emacsclient could do is to inform about its dependency
> >> on XDG_RUNTIME_DIR when it fails to connect to the server and that
> >> variable is undefined.
> >
> > Any other missing pieces of information you'd like to be added?
> 
> All the documentation I browsed for an hour before figuring out what the
> problem was? :-)

Thanks, but that's not specific enough for me to take any practical
action.

> > Also, I don't think I understand clearly what exactly failed in your
> > case.  Did you have XDG_RUNTIME_DIR defined or didn't you?  If you
> > did, what exactly caused the failure to find the socket?
> 
> Some time ago I disabled PAM on my sshd_config, because it was not use
> for me and it adds complexity to the log-in procedure. Everything worked
> fine for years, emacsclient included, until just a few days ago that I
> started using Emacs 27 for testing one of the new features.

So you didn't have XDG_RUNTIME_DIR set?  In that case, I feel I
understand the issue even less, because when XDG_RUNTIME_DIR is not
defined, emacsclient is supposed to fall back to the old behavior...

(If my questions bother you, feel free to tell, and I will stop.)